summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/vpp/clang-build.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2020-01-07 18:01:18 +0100
committerVratko Polak <vrpolak@cisco.com>2020-01-09 10:35:07 +0100
commitc16cf4ec132c21090342324878ca22ad1fc0476e (patch)
tree3a9383c592bd4b151740a0f6261ac34291a21516 /jjb/scripts/vpp/clang-build.sh
parent6e1c00a92c2f447c77a77a1ed16aee74add7d3d4 (diff)
VPP: Make script inclusion more readable
Historically, scripts names started with include-raw-vpp- prefix. That was not only long and superfluous, but also confusing, as the actual way of including uses "include-raw-escape", which is a command behaving differently than "include-raw", suggested by the previous name. This Change shortens script names to the part that actually says something about the script. + Delete include-gcc8-prefer.sh as it is orphaned since https://gerrit.fd.io/r/c/ci-management/+/20443 + Move the scripts to jjb/scripts/vpp/. - "absolute" paths are not used, as ci-man root is not in search path. + Put each path on a separate line to avoid long lines. + Put each include in a separate shell to make sure return code of each script is checked. + Update copyright year where present. - Copyright notices are not added when not present. Change-Id: I48920542ff20810cc87fb01844236350348bae59 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'jjb/scripts/vpp/clang-build.sh')
-rw-r--r--jjb/scripts/vpp/clang-build.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/jjb/scripts/vpp/clang-build.sh b/jjb/scripts/vpp/clang-build.sh
new file mode 100644
index 00000000..b1bed417
--- /dev/null
+++ b/jjb/scripts/vpp/clang-build.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+# basic build script example
+set -xe -o pipefail
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
+echo OS_ID: $OS_ID
+echo OS_VERSION_ID: $OS_VERSION_ID
+
+# do nothing but print the current slave hostname
+hostname
+
+echo "cat /etc/bootstrap.sha"
+if [ -f /etc/bootstrap.sha ];then
+ cat /etc/bootstrap.sha
+else
+ echo "Cannot find cat /etc/bootstrap.sha"
+fi
+
+echo "cat /etc/bootstrap-functions.sha"
+if [ -f /etc/bootstrap-functions.sha ];then
+ cat /etc/bootstrap-functions.sha
+else
+ echo "Cannot find cat /etc/bootstrap-functions.sha"
+fi
+
+echo "sha1sum of this script: ${0}"
+sha1sum $0
+
+make UNATTENDED=yes install-dep
+make UNATTENDED=yes install-ext-deps
+make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp_clang CC=clang CXX=clang install-packages
+make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp_clang CC=clang CXX=clang sample-plugin-install
+make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp_clang CC=clang CXX=clang libmemif-install
+
+
+echo "*******************************************************************"
+echo "* VPP CLANG BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"